Package org.codehaus.groovy.classgen.asm.sc

# Class StaticCompilationMopWriter

java.lang.Object
org.codehaus.groovy.classgen.asm.MopWriter
org.codehaus.groovy.classgen.asm.sc.StaticCompilationMopWriter

public class StaticCompilationMopWriter extends MopWriter
A MOP Writer that skips the generation of MOP methods. This writer is used when a class is *fully* statically compiled. In mixed mode, MOP methods are still generated.

Since:
  2.4.0
Author:
  Cédric Champeau

## Nested Class Summary

## Nested classes/interfaces inherited from class org.codehaus.groovy.classgen.asm.MopWriter

`MopWriter.Factory`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MopWriter.Factory`
`FACTORY`

## Constructor Summary

Constructors
Constructor
Description
`StaticCompilationMopWriter(WriterController wc)`

## Method Summary

Modifier and Type
Method
Description
`void`
`createMopMethods()`

### Methods inherited from class org.codehaus.groovy.classgen.asm.MopWriter

`equalParameterTypes, generateMopCalls, getMopMethodName, isMopMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FACTORY

public static final MopWriter.Factory FACTORY

## Constructor Details

### StaticCompilationMopWriter

public StaticCompilationMopWriter(WriterController wc)

## Method Details

### createMopMethods

public void createMopMethods()

Overrides:
  `createMopMethods` in class `MopWriter`